package com.qmth.qrzk.repository.user.service;

import java.util.HashMap;
import java.util.List;

import com.qmth.qrzk.repository.user.model.Question;
import com.qmth.qrzk.repository.user.model.SimilarQuestion;

public interface IQuestionService {

	public int insertQuestion(Question question);
	
	public int importQuestion(Question question);
	
	public  Question searchById(int id);
	
	public void update(Question question);
	
	public List<Question> generatePaperQuestion(Question question);
	
	public int updateStatusCode(Question question);
	
	public int searchAuditCount(Question question,String condition1,String condition2);
	
	public List<Question> searchAudit(Question question, int showCount,int currentPage, String condition1, String condition2);
	
	public List<Question> findAll();
	
	public List<Question> getStatusCount();
	
	public int getMaxChapterByCourseId(int courseId);
	
	public int getCountByCondition(Question question);
	
	public int getCountByChapter(Question question);

	public List<HashMap<String, Object>> getCountByCourseIdGroupByQuesTypeAndChapter(int courseId);
	
	public List<SimilarQuestion> specifyCheckSimilarity(Integer course_id, Integer type_id, String quesBody);
}
